Last Comment Bug 232063 - Shortcuts for Text Viewing, Navigation, and Selection
: Shortcuts for Text Viewing, Navigation, and Selection
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: [:rickiees] Ricardo Palomares
:
Mentors:
Depends on:
Blocks: 232066
  Show dependency treegraph
 
Reported: 2004-01-24 13:52 PST by Daniel Wang
Modified: 2010-11-21 14:12 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (5.63 KB, patch)
2004-01-25 07:24 PST, R.J. Keller
neil: review-
Details | Diff | Splinter Review
R. J. Keller's patch adapted to current status of comm-central (6.64 KB, patch)
2010-11-02 17:12 PDT, [:rickiees] Ricardo Palomares
no flags Details | Diff | Splinter Review
R. J. Keller's patch adapted to current status of comm-central with suggestions from stefanh (11.49 KB, patch)
2010-11-04 16:17 PDT, [:rickiees] Ricardo Palomares
stefanh: review-
Details | Diff | Splinter Review
R. J. Keller's patch adapted to current status of comm-central with suggestions from stefanh (12.45 KB, patch)
2010-11-19 13:48 PST, [:rickiees] Ricardo Palomares
no flags Details | Diff | Splinter Review
R. J. Keller's patch adapted to current status of comm-central with suggestions from stefanh and Backspace instead of Bksp (12.56 KB, patch)
2010-11-19 16:19 PST, [:rickiees] Ricardo Palomares
stefanh: review+
Details | Diff | Splinter Review
R. J. Keller's patch adapted to current status of comm-central with corrections pointed at comment #24 (12.61 KB, patch)
2010-11-21 09:55 PST, [:rickiees] Ricardo Palomares
stefanh: review+
Details | Diff | Splinter Review

Description Daniel Wang 2004-01-24 13:52:36 PST
follow up on bug 224196

add one sub-section under Mozilla General Shortcuts

Text Viewing, Navigation, and Selection

The following are keyboard commands for navigating and modifying text in a
text input field (e.g. the Location Bar). Some commands also apply to Web pages
in caret browsing mode.

*Caret browsing*: You can use a caret (the blinking <blink>|</blink>) to
navigate any Web page, mail message, or this Help window. To activate *caret
browsing*, press F7.

*Terminology*: A "word" means any text terminated by spaces, symbols, and/or
line feeds. For example, in <tt>www.google.com/search?q=mozilla</tt>, www. ,
google. , com/ , search? , q= , and mozilla are all words. This distinction
allow the user to navigate text more easily.

Move cursor to next word      Ctrl+Right       Cmd+Right       Ctrl+Right
Move cursor to previous word  Ctrl+Left        Cmd+Left        Ctrl+Left
Move to begining of the line  Home             Cmd+Left Arrow  Ctrl+A
Move to end of line           End              Cmd+Right Arrow Ctrl+E
Move to begining of the text  Ctrl+Home
Move to end of the text       Ctrl+End
Select next character         Shift+Right      Shift+Right     Shift+Right
Select previous character     Shift+Left       Shift+Left      Shift+Left
Select next word              Ctrl+Shift+Right Cmd+Shift+Right Ctrl+Shift+Right
Select previous word          Ctrl+Shift+Left  Cmd+Shift+Left  Ctrl+Shift+Left
Select all text               Ctrl+A           Cmd+A           Alt+A
Delete next word              Ctrl+Del         ??              Ctrl+Del
Delete previous word          Ctrl+Bksp        Alt+Bksp        Ctrl+Bksp

Move to begining of the line, and Move to end of line needs to be removed from
general Mozilla shortcuts
Comment 1 R.J. Keller 2004-01-24 20:03:03 PST
sounds good! Patch coming soon.
Comment 2 R.J. Keller 2004-01-25 07:24:06 PST
Created attachment 139838 [details] [diff] [review]
Patch
Comment 3 neil@parkwaycc.co.uk 2004-01-31 05:25:35 PST
Comment on attachment 139838 [details] [diff] [review]
Patch

I think some of the keys you quoted are wrong, but I don't actually have a Mac
on which to check...

>+    <td>Move cursor to next word</td>
>+    <td>Ctrl+Right</td>
>+    <td>Cmd+Right</td>
Alt+Right
>+    <td>Ctrl+Right</td>

>+    <td bgcolor="#eeeeee">Move cursor to previous word</td>
>+    <td bgcolor="#eeeeee">Ctrl+Left</td>
>+    <td bgcolor="#eeeeee">Cmd+Left</td>
Alt+Left
>+    <td bgcolor="#eeeeee">Ctrl+Left</td>

>+    <td>Move to beginning of the text</td>
>+    <td>Ctrl+Home</td>
>+    <td>&nbsp;</td>
Cmd+Up
>+    <td>&nbsp;</td>
Ctrl+Home

>+    <td bgcolor="#eeeeee">Move to end of the text</td>
>+    <td bgcolor="#eeeeee">Ctrl+End</td>
>+    <td bgcolor="#eeeeee">&nbsp;</td>
Cmd+Down
>+    <td bgcolor="#eeeeee">&nbsp;</td>
Ctrl+End

Note: had these cells really been blank, better would have been to use the
empty-cells: show; style than to put in the space.

>+    <td>Select next word</td>
>+    <td>Ctrl+Shift+Right</td>
>+    <td>Cmd+Shift+Right</td>
Alt+Shift+Right
>+    <td>Ctrl+Shift+Right</td>

>+    <td bgcolor="#eeeeee">Select previous word</td>
>+    <td bgcolor="#eeeeee">Ctrl+Shift+Left</td>
>+    <td bgcolor="#eeeeee">Cmd+Shift+Left</td>
Alt+Shift+Left
>+    <td bgcolor="#eeeeee">Ctrl+Shift+Left</td>

Would it be better to point out that Shift modifies all movement keys to
select/extend?

>+    <td bgcolor="#eeeeee">Delete next word</td>
>+    <td bgcolor="#eeeeee">Ctrl+Del</td>
>+    <td bgcolor="#eeeeee">Cmd+Delete</td>
>+    <td bgcolor="#eeeeee">Ctrl+Delete</td>
Consistency please - I prefer Del to Delete but not both!
Comment 4 Stefan [:stefanh] 2004-05-22 08:03:52 PDT
Since the shortcuts deals with text manipulation/navigation shouldn't shortcuts
for Copy, Paste, Select All and Delete be included? I know that they already
exists in another section but it looks like they belong here as well.
Comment 5 neil@parkwaycc.co.uk 2004-11-05 14:33:26 PST
Well, listing all the editing shortcuts under general shortcuts will make it too
long, but we need to decide how to categorize them...
Comment 6 Stefan [:stefanh] 2005-03-31 13:57:48 PST
Couldn't we include the caret browsing shortcuts as well by adding a * to the
shortcuts that works in caret browsing mode (with an explanation like "Will work
in caret browsing" or something)?
Comment 7 Serge Gautherie (:sgautherie) 2008-06-10 10:07:59 PDT
Patch seems to apply to 1.8 branch only.
Don't know the plan about 1.9 trunk.
Comment 8 Stefan [:stefanh] 2008-06-22 08:51:10 PDT
We don't do those kind of string changes on 1.8. And please don't change the version to 1.1 (or 1.0) unless you're 100% sure that the bug report only matters for 1.1 (or 1.0).
Comment 9 Ian Neal 2010-05-04 10:59:10 PDT
(In reply to comment #6)
> Couldn't we include the caret browsing shortcuts as well by adding a * to the
> shortcuts that works in caret browsing mode (with an explanation like "Will work
> in caret browsing" or something)?

Stefan, is this something you can knock a patch up for?
Comment 10 [:rickiees] Ricardo Palomares 2010-10-29 17:08:03 PDT
If I adapt R.J Keller's patch to apply on comm-central with the corrections outlined in comment #3 by Neil (note that I don't have a Mac, so I can't make sure they're right) and the asterisk for caret browsing (comment #6), could that be enough for a (re)start? :-)
Comment 11 Jens Hatlak (:InvisibleSmiley) 2010-10-30 10:29:37 PDT
(In reply to comment #10)
> If I adapt R.J Keller's patch to apply on comm-central with the corrections
> outlined in comment #3 by Neil (note that I don't have a Mac, so I can't make
> sure they're right) and the asterisk for caret browsing (comment #6), could
> that be enough for a (re)start? :-)

There is only one way to find out. ;-)

Note: Please ask stefanh for review since he's the only one around with a Mac. If need be he can ask Ian or me to have another look (e.g. I can check Linux and Windows). Also keep in mind that since the patch was created, some things have changed (e.g. Macintosh -> Mac OS, removal of HTML styling through attributes).
Comment 12 [:rickiees] Ricardo Palomares 2010-11-02 17:12:15 PDT
Created attachment 487771 [details] [diff] [review]
R. J. Keller's patch adapted to current status of comm-central

Note to Stefan: I have applied Ian's comment #3 to this new patch, but I can't test it myself with a Mac to make sure they are the right shortcuts.

I have checked Linux shortcuts (and have changed some of them, like Select All, Go to beginning of document and Go to ending of document), and I am pretty sure it works for Windows, too.

I have added <colgroup>, <thead> and <tbody> elements, and I have removed the styling. Regarding caret browsing, all but two shortcuts work in that mode, so I thought it had more sense to mark the exceptions instead of the rule.
Comment 13 Stefan [:stefanh] 2010-11-03 14:02:22 PDT
I think we might need a breif and short explanation of the term "caret browsing". Could be in the glossary and then we could link to it. Could also be in the beginning of the section, but if put in the glossary we could probably use it where we actually describe the shortcut.

Ugh, it's called "Caret Mode" in shortcuts_navigator.xhtml#285 (why is it there when it also works in MailNews?)
Comment 14 Karsten Düsterloh 2010-11-03 14:14:43 PDT
(In reply to comment #13)
> Ugh, it's called "Caret Mode" in shortcuts_navigator.xhtml#285 (why is it there
> when it also works in MailNews?)

Probably because browser people tend to ignore MailNews: ;-)
Comment 15 [:rickiees] Ricardo Palomares 2010-11-04 16:17:50 PDT
Created attachment 488354 [details] [diff] [review]
R. J. Keller's patch adapted to current status of comm-central with suggestions from stefanh

I've added an entry for caret browsing in the glossary, and moved the caret browsing shortcut from shortcuts_navigator to general SeaMonkey section in shortcuts.xhtml.
Comment 16 Stefan [:stefanh] 2010-11-05 02:19:40 PDT
I will probably not be able to look at this until middle/end of next week.
Comment 17 Stefan [:stefanh] 2010-11-14 06:56:14 PST
Comment on attachment 488354 [details] [diff] [review]
R. J. Keller's patch adapted to current status of comm-central with suggestions from stefanh

General:
It's "Right Arrow"/"Left Arrow"
You missed Cut/Copy/Paste/Delete (both back/fwd)
I also think we should have moving one character (left/right) and moving one line up/down

+  commands also apply to Web pages in caret browsing mode.</p>
Not only Web pages ;-)

+    <td>Move cursor to next word</td>
.
.
.
+    <td>Move to beginning of the line</td>

Either just "Move" or "Move cursor". Probably better with just "Move" (we mention "Caret", so we should probably not speak about "Cursor"). 

+    <td>Move to beginning of the line</td>
.
.
.
+    <td>Move to end of line</td>

I know you just copied these, but we need to decide whether to use "the" or not ;-). I would say we should try to avoid it.

+    <td>Delete next word (except in caret browsing mode)</td>
"except in caret browsing mode" sound a little bit cryptic. I think you want "Text Field only" or something like that. Maybe we should go for the "*"?


+<dt id="caret_browsing">caret browsing</dt><dd>A feature of &brandShortName;
+  that allows to move over static text (like web pages you are visiting, or
+  e-mail messages you have received) using a text cursor just like if you
+  were editing the text, although you can't actually change anything. It is
+  intended to help users with disabilities, or simply to ease text selection
+  in complex web pages like those with several overlaid text blocks. You switch
+  caret browsing mode on and off pressing the F7 key.</dd>
+

I think this is a bit too long. Let's just focus on what it is, something like this:

"A &brandShortName; feature that allows you to navigate through text in Web pages and e-mail messages (or this Help window) with a caret. Using your keyboard, you can navigate and select text like you do in a text editor. You turn caret browsing mode on and off by pressing the F7 key."

(I think we have a 'kbd' class for this that you can assign the 'F7' to with a <span>. I don't think it changes anything, but it can be good to have it if we want to style the keyboard shortcuts differently)

Mac-specific stuff:
Alt --> Opt on Mac
Delete next word is not Cmd+Del, should be Opt+Del
Cmd+left/right doesn't work in Caret Browsing mode on Mac. When I'm in CB mode and hit Cmd+Left Arrow, I move back one page.
Comment 18 [:rickiees] Ricardo Palomares 2010-11-19 13:47:47 PST
(In reply to comment #17)
> +    <td>Delete next word (except in caret browsing mode)</td>
> "except in caret browsing mode" sound a little bit cryptic. I think you want
> "Text Field only" or something like that. Maybe we should go for the "*"?


I've gone with "(in text fields only)", because I don't like the original idea of an asterisk for every shortcut working in both modes. If there is consensus about using the asterisk to mark shortcuts not available in CB mode, that's OK for me too.

> 
> 
> +<dt id="caret_browsing">caret browsing</dt><dd>A feature of &brandShortName;
> +  that allows to move over static text (like web pages you are visiting, or
> +  e-mail messages you have received) using a text cursor just like if you
> +  were editing the text, although you can't actually change anything. It is
> +  intended to help users with disabilities, or simply to ease text selection
> +  in complex web pages like those with several overlaid text blocks. You
> switch
> +  caret browsing mode on and off pressing the F7 key.</dd>
> +
> 
> I think this is a bit too long. Let's just focus on what it is, something like
> this:
> 
> "A &brandShortName; feature that allows you to navigate through text in Web
> pages and e-mail messages (or this Help window) with a caret. Using your
> keyboard, you can navigate and select text like you do in a text editor. You
> turn caret browsing mode on and off by pressing the F7 key."
> 
> (I think we have a 'kbd' class for this that you can assign the 'F7' to with a
> <span>. I don't think it changes anything, but it can be good to have it if we
> want to style the keyboard shortcuts differently)


No class for "kbd" in helpFileLayout.css, but I have enclosed F7 in a <kbd> element. For documentation I write as part of my work, I tend to use a visual style for keys with box, something like this:

-moz-border-radius: 3px;
border-left: 1px solid black;
border-top: 1px solid black;
border-right: 2px solid black;
border-bottom: 2px solid black;

I'm really bad when it comes to CSS, so I haven't included that into the new patch. 


> Mac-specific stuff:
> Alt --> Opt on Mac
> Delete next word is not Cmd+Del, should be Opt+Del
> Cmd+left/right doesn't work in Caret Browsing mode on Mac. When I'm in CB mode
> and hit Cmd+Left Arrow, I move back one page.

Well, it works in Linux and Windows in CB mode. :-) I've left the Mac OS cell empty.
Comment 19 [:rickiees] Ricardo Palomares 2010-11-19 13:48:39 PST
Created attachment 491931 [details] [diff] [review]
R. J. Keller's patch adapted to current status of comm-central with suggestions from stefanh
Comment 20 Stefan [:stefanh] 2010-11-19 14:55:52 PST
Just commenting here, I haven't looked through the new patch in detail - but I will try to do that on Sunday.

(In reply to comment #18)
> I've gone with "(in text fields only)", because I don't like the original idea
> of an asterisk for every shortcut working in both modes. If there is consensus
> about using the asterisk to mark shortcuts not available in CB mode, that's OK
> for me too.

It's your call, I think. My only argument against it would be that since you're forced to say "only", it sounds slightly negative.

> No class for "kbd" in helpFileLayout.css, but I have enclosed F7 in a <kbd>
> element. For documentation I write as part of my work, I tend to use a visual
> style for keys with box, something like this:
> 
> -moz-border-radius: 3px;
> border-left: 1px solid black;
> border-top: 1px solid black;
> border-right: 2px solid black;
> border-bottom: 2px solid black;
> 
> I'm really bad when it comes to CSS, so I haven't included that into the new
> patch. 

I haven't tried this, but I've been wanting to do something about this for some time, so feel free to file a bug. I would think that using black is a bit too much, though (some gray borders/backgrounds maybe?)
> 
> > Mac-specific stuff:
> > Alt --> Opt on Mac
> > Delete next word is not Cmd+Del, should be Opt+Del
> > Cmd+left/right doesn't work in Caret Browsing mode on Mac. When I'm in CB mode
> > and hit Cmd+Left Arrow, I move back one page.
> 
> Well, it works in Linux and Windows in CB mode. :-) I've left the Mac OS cell
> empty.

Ah, yes I noticed. But it works in textfields! That is, you could add that comment for mac-only by using the specific class on a <span>.
Comment 21 [:rickiees] Ricardo Palomares 2010-11-19 16:14:54 PST
(In reply to comment #20)
> > No class for "kbd" in helpFileLayout.css, but I have enclosed F7 in a <kbd>
> > element. For documentation I write as part of my work, I tend to use a
> > visual style for keys with box, something like this:
> > 
> > -moz-border-radius: 3px;
> > border-left: 1px solid black;
> > border-top: 1px solid black;
> > border-right: 2px solid black;
> > border-bottom: 2px solid black;
> > 
> > I'm really bad when it comes to CSS, so I haven't included that into the new
> > patch. 
> 
> I haven't tried this, but I've been wanting to do something about this for some
> time, so feel free to file a bug. I would think that using black is a bit too
> much, though (some gray borders/backgrounds maybe?)


While preparing to file the bug, I've discovered that there are some <kbd> occurrences in Help Contents used to mark command lines, parameters and text typing examples:

cs_nav_prefs_navigator.xhtml:551:      parameters that open windows (like <kbd>-new-window</kbd>) are used.</li>
nav_help.xhtml:631:    before your search string. For example, type <q><kbd>/hello</kbd></q> to
nav_help.xhtml:919:        For example, type <kbd>50</kbd> and to make each page half the size of
nav_help.xhtml:1172:  <li>Click in the Location Bar, type <kbd>about:plugins</kbd> and press
nav_help.xhtml:1269:  the keyword <q>m.o</q>, you can enter <kbd>m.o</kbd> in the Location Bar and
nav_help.xhtml:1289:  <kbd>g Lord of the Rings</kbd> will perform a Google I-Feel-Lucky search
nav_help.xhtml:1295:  <li>Go to your search form (e.g. <kbd>www.google.com</kbd>).</li>
nav_help.xhtml:1296:  <li>Enter a dummy search string (e.g. <kbd>ILoveMozilla</kbd>).</li>
nav_help.xhtml:1301:    dummy string (e.g. <tt>ILoveMozilla</tt>) with <kbd>%s</kbd>.
nav_help.xhtml:1303:    <kbd>http://www.google.com/search?q=<strong>%s</strong>&amp;btnI=I&apos;mFeelingLucky</kbd>.</li>
nav_help.xhtml:1310:  <kbd><var>keyword</var> <var>search_words</var></kbd> in the Location Bar.
profiles_help.xhtml:52:        the command line: <kbd>./mozilla -profilemanager</kbd></span></li>
profiles_help.xhtml:83:        down the <kbd>Option</kbd> key while you&apos;re starting
profiles_help.xhtml:86:        <kbd>./mozilla -profilemanager</kbd></span></li>

so adding the style would look weird in those lines.


> Ah, yes I noticed. But it works in textfields! That is, you could add that
> comment for mac-only by using the specific class on a <span>.

Done.
Comment 22 [:rickiees] Ricardo Palomares 2010-11-19 16:19:52 PST
Created attachment 491988 [details] [diff] [review]
R. J. Keller's patch adapted to current status of comm-central with suggestions from stefanh and Backspace instead of Bksp

I've kept "in text fields only", added it to Cmd+Left/Right Arrow, and I've replaced "Bksp" for "Backspace", since that's the word used in other parts of Help Contents.
Comment 23 Stefan [:stefanh] 2010-11-21 05:38:05 PST
Comment on attachment 491988 [details] [diff] [review]
R. J. Keller's patch adapted to current status of comm-central with suggestions from stefanh and Backspace instead of Bksp

+<dt id="caret_browsing">caret browsing</dt><dd>A &brandShortName; feature that
+  allows to navigate

"allows you to"

+  <tr>
+    <td>Paste</td>
+    <td>Ctrl+V</td>
+    <td>Cmd+V</td>
+    <td>Ctrl+V</td>
+  </tr>
+  <tr>
+    <td>Cut</td>
+    <td>Ctrl+X</td>
+    <td>Cmd+X</td>
+    <td>Ctrl+X</td>
+  </tr>

I doubt these work in caret browsing ;-)

r = me with the above fixed.
Comment 24 Stefan [:stefanh] 2010-11-21 09:18:27 PST
(In reply to comment #21)

> 
> While preparing to file the bug, I've discovered that there are some <kbd>
> occurrences in Help Contents used to mark command lines, parameters and text
> typing examples:
> 
> cs_nav_prefs_navigator.xhtml:551:      parameters that open windows (like
> <kbd>-new-window</kbd>) are used.</li>
> nav_help.xhtml:631:    before your search string. For example, type
> <q><kbd>/hello</kbd></q> to
> nav_help.xhtml:919:        For example, type <kbd>50</kbd> and to make each
> page half the size of
> nav_help.xhtml:1172:  <li>Click in the Location Bar, type
> <kbd>about:plugins</kbd> and press
> nav_help.xhtml:1269:  the keyword <q>m.o</q>, you can enter <kbd>m.o</kbd> in
> the Location Bar and
> nav_help.xhtml:1289:  <kbd>g Lord of the Rings</kbd> will perform a Google
> I-Feel-Lucky search
> nav_help.xhtml:1295:  <li>Go to your search form (e.g.
> <kbd>www.google.com</kbd>).</li>
> nav_help.xhtml:1296:  <li>Enter a dummy search string (e.g.
> <kbd>ILoveMozilla</kbd>).</li>
> nav_help.xhtml:1301:    dummy string (e.g. <tt>ILoveMozilla</tt>) with
> <kbd>%s</kbd>.
> nav_help.xhtml:1303:   
> <kbd>http://www.google.com/search?q=<strong>%s</strong>&amp;btnI=I&apos;mFeelingLucky</kbd>.</li>
> nav_help.xhtml:1310:  <kbd><var>keyword</var> <var>search_words</var></kbd> in
> the Location Bar.
> profiles_help.xhtml:52:        the command line: <kbd>./mozilla
> -profilemanager</kbd></span></li>
> profiles_help.xhtml:83:        down the <kbd>Option</kbd> key while you&apos;re
> starting
> profiles_help.xhtml:86:        <kbd>./mozilla -profilemanager</kbd></span></li>
> 
> so adding the style would look weird in those lines.

I think anything you type with the keyboard could be styled differently from the regular text in order to indicate that it is something you type (you would then not have the "+" sign in Ctrl+F wrapped in a <kbd> since you don't type the "+").
Comment 25 Stefan [:stefanh] 2010-11-21 09:20:31 PST
(In reply to comment #24)

> I think anything you type with the keyboard could be styled differently from
> the regular text in order to indicate that it is something you type (you would
> then not have the "+" sign in Ctrl+F wrapped in a <kbd> since you don't type
> the "+").

Which would mean that all shortcut keys listed in our "shortcuts" pages needs to be wrapped in a <kbd> (currently, they're not).
Comment 26 Jens Hatlak (:InvisibleSmiley) 2010-11-21 09:25:23 PST
FWIW I'd vote for not using <kbd> for shortcuts at all since you press those, as opposed to typing text which is what <kbd> seems to be used for throughout the rest of Help given the examples from comment 21.
Comment 27 Stefan [:stefanh] 2010-11-21 09:36:57 PST
(In reply to comment #26)
> FWIW I'd vote for not using <kbd> for shortcuts at all since you press those,
> as opposed to typing text which is what <kbd> seems to be used for throughout
> the rest of Help given the examples from comment 21.

Not really true: "down the <kbd>Option</kbd> key while you&apos;re" (from comment #21). I suppose opinions of what <kbd> stands for differs, though (haven't read the spec)
Comment 28 Jens Hatlak (:InvisibleSmiley) 2010-11-21 09:44:11 PST
(In reply to comment #27)
> I suppose opinions of what <kbd> stands for differs, though
> (haven't read the spec)

http://www.w3.org/TR/html401/struct/text.html#h-9.2.1 says:
"KBD: Indicates text to be entered by the user."
Comment 29 [:rickiees] Ricardo Palomares 2010-11-21 09:48:16 PST
(In reply to comment #26)
> FWIW I'd vote for not using <kbd> for shortcuts at all since you press those,
> as opposed to typing text which is what <kbd> seems to be used for throughout
> the rest of Help given the examples from comment 21.


Actually, the examples I gave were for cases where <kbd> was used not for key shortcuts, but there are a lot more where <kbd> actually wraps keys. So, as Stefan says, it seems that there are different uses for <kbd>.
Comment 30 [:rickiees] Ricardo Palomares 2010-11-21 09:49:38 PST
(In reply to comment #28)
> (In reply to comment #27)
> > I suppose opinions of what <kbd> stands for differs, though
> > (haven't read the spec)
> 
> http://www.w3.org/TR/html401/struct/text.html#h-9.2.1 says:
> "KBD: Indicates text to be entered by the user."


Then I guess we should define a class for visual styling of key shortcuts.
Comment 31 Jens Hatlak (:InvisibleSmiley) 2010-11-21 09:52:28 PST
(In reply to comment #30)
> Then I guess we should define a class for visual styling of key shortcuts.

Probably, but then better in a new bug since, as you said, there are already wrong uses which would need to be fixed as well. Or just an extra bug for those and introduce the new class here.
Comment 32 [:rickiees] Ricardo Palomares 2010-11-21 09:55:01 PST
Created attachment 492195 [details] [diff] [review]
R. J. Keller's patch adapted to current status of comm-central with corrections pointed at comment #24

Hopefully final attempt. :-)
Comment 33 Stefan [:stefanh] 2010-11-21 11:31:29 PST
(In reply to comment #28)
> (In reply to comment #27)
> > I suppose opinions of what <kbd> stands for differs, though
> > (haven't read the spec)
> 
> http://www.w3.org/TR/html401/struct/text.html#h-9.2.1 says:
> "KBD: Indicates text to be entered by the user."

Ah, ok.(In reply to comment #31)
> (In reply to comment #30)
> > Then I guess we should define a class for visual styling of key shortcuts.
> 
> Probably, but then better in a new bug since, as you said, there are already
> wrong uses which would need to be fixed as well. Or just an extra bug for those
> and introduce the new class here.

Lets do this in another bug.
Comment 34 Stefan [:stefanh] 2010-11-21 11:32:10 PST
http://hg.mozilla.org/comm-central/rev/46dd15659816
Comment 35 Jens Hatlak (:InvisibleSmiley) 2010-11-21 14:12:31 PST
(In reply to comment #31)
> > (In reply to comment #30)
> > > Then I guess we should define a class for visual styling of key shortcuts.
> 
> Lets do this in another bug.

Filed bug 613884.

Note You need to log in before you can comment on or make changes to this bug.